package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 买家地址 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-23
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvBuyerAddressDao;
import com.heyu.api.data.entity.vv.VvBuyerAddressEntity;
import com.heyu.api.data.service.vv.VvBuyerAddressService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvBuyerAddressServiceImpl extends ServiceImpl<VvBuyerAddressDao, VvBuyerAddressEntity> implements VvBuyerAddressService {


    @Autowired
	private VvBuyerAddressDao vvBuyerAddressDao;



	@Override
	public VvBuyerAddressEntity selectVvBuyerAddressById(Long id){
		return vvBuyerAddressDao.selectVvBuyerAddressById(id);
	}



	@Override
	public Long insertVvBuyerAddress(VvBuyerAddressEntity vvBuyerAddress){
		return vvBuyerAddressDao.insertVvBuyerAddress(vvBuyerAddress);
	}



	@Override
	public Long insertOrUpdateVvBuyerAddress(VvBuyerAddressEntity vvBuyerAddress){
		return vvBuyerAddressDao.insertOrUpdateVvBuyerAddress(vvBuyerAddress);
	}



	@Override
	public int updateVvBuyerAddressById(VvBuyerAddressEntity vvBuyerAddress){
		return vvBuyerAddressDao.updateVvBuyerAddressById(vvBuyerAddress);
	}



	@Override
	public int updateCoverVvBuyerAddressById(VvBuyerAddressEntity vvBuyerAddress){
		return vvBuyerAddressDao.updateCoverVvBuyerAddressById(vvBuyerAddress);
	}



	@Override
	public int deleteVvBuyerAddressById(Long id){
		return vvBuyerAddressDao.deleteVvBuyerAddressById(id);
	}



}
